#ifndef SIMULATION_H
#define SIMULATION_H

#include <vector>
#include "population.h"
#include "config_parser.h"

class Simulation {
public:
    Simulation(const ConfigParser& config);
    void run();
    void outputResults();

private:
    std::vector<Population> populations;
    int simulation_runs;
    double disease_transmissibility;
    int disease_duration;
    int total_steps;
};

#endif // SIMULATION_H
