#ifndef PERSON_H
#define PERSON_H

class Person {
public:
    enum State { Susceptible, Infectious, Vaccinated, Recovered };

    Person(State initial_state);
    void updateState(int disease_duration);
    void tryInfect(double transmissibility);
    State getState() const;
    void setState(State new_state);

private:
    State state;
    int days_infectious;
};

#endif // PERSON_H
